--Entorno de ventanas


function ventana1()
if croma.e then
	if col(p,croma) and relevante==2 then
		if p.y-croma.y>10 then
			if controls.press("cross") then
				c1=croma.i:pixel(p.x-croma.x,p.y-croma.y)
			elseif controls.press("triangle") then
				c2=croma.i:pixel(p.x-croma.x,p.y-croma.y)
			end
		else
			if p.x-croma.x>90 then 
				if controls.release("cross") then
					croma.e=false
				end
			else 
				if controls.cross() then
					croma.x=p.x-10 croma.y=p.y-5
				end
			end
		end
	end
draw.fillrect(croma.x,croma.y+10,50,croma.h,c1)
draw.fillrect(croma.x+50,croma.y+10,50,croma.h,c2)
croma.i:blit(croma.x,croma.y)
end
end

function ventana2()
if bh.e then
	if col(p,bh) and p.y-bh.y<21 and relevante==1 then
		if p.x-bh.x<100 then
			if controls.cross() then
					bh.x=p.x-10 bh.y=p.y-5
			end
		else
			if controls.press("cross") then
				bh.e=false
			end
		end
	end

bh.i:blit(bh.x,bh.y)
for i=1,#ico do
	if col(p,ico[i]) and relevante==1 then 
		draw.rect(ico[i].x,ico[i].y,ico[i].w,ico[i].h,rojo)
		draw.fillrect(ico[i].x,ico[i].y,ico[i].w,ico[i].h,gris_t)
		if controls.press("cross") then
			if i==1 then herramienta="dibu" end
			if i==2 then herramienta="borra" end
			if i==3 then herramienta="pince" end
			if i==4 then herramienta="colo" a=screen.toimage() end
			if i==5 then herramienta="line" end
			if i==6 then herramienta="circ" end
			if i==7 then herramienta="rect" end
			if i==8 then herramienta="fill" end
			if i==9 then herramienta="frect" end
			if i==10 then herramienta="grect" end
			if i==11 then herramienta="txt" end
			if i==12 then herramienta="sele" end
			if i==13 then herramienta="move" aco="" end
			if i==14 then herramienta="regla" end
			if i==15 then img:reset() end
			if i==16 then aco="90" end
			if i==17 then aco="-90" end
			if i==18 then aco="" end
			if i==19 then aco="mirrorh" end
			if i==20 then aco="mirrorv" end
			if i==21 then aco="save" end
		end
	end
end
end
end


cuadro={}
for i=1,5 do
cuadro[i]={}
end

cuadro[1][1]={x=0,y=30,w=100,h=13,t="Nuevo"}
cuadro[1][2]={x=0,y=45,w=100,h=13,t="Abrir"}
cuadro[1][3]={x=0,y=60,w=100,h=13,t="Guardar"}
cuadro[1][4]={x=0,y=75,w=100,h=13,t="Cerrar"}

cuadro[2][1]={x=101,y=30,w=100,h=13,t="Deshacer"}
cuadro[2][2]={x=101,y=45,w=100,h=13,t="Rehacer"}
cuadro[2][3]={x=101,y=60,w=100,h=13,t="Copiar"}
cuadro[2][4]={x=101,y=75,w=100,h=13,t="Pegar"}


cuadro[3][1]={x=198,y=30,w=130,h=13,t="Redimensionar"}
cuadro[3][2]={x=198,y=45,w=130,h=13,t="Voltear verticalmente"}
cuadro[3][3]={x=198,y=60,w=130,h=13,t="Voltear horizontalmente"}
cuadro[3][4]={x=198,y=75,w=130,h=13,t="Girar 90º (Derecha)"}
cuadro[3][5]={x=198,y=90,w=130,h=13,t="Girar 90º (Izquierda)"}
cuadro[3][6]={x=198,y=105,w=130,h=13,t="Acoplar"}
cuadro[3][7]={x=198,y=120,w=130,h=13,t="Blanco & Negro"}
cuadro[3][8]={x=198,y=135,w=130,h=13,t="Sepia"}
cuadro[3][9]={x=198,y=150,w=130,h=13,t="Invertir colores"}
cuadro[3][10]={x=198,y=165,w=130,h=13,t="Luminosidad"}
cuadro[3][11]={x=198,y=180,w=130,h=13,t="Valor R"}
cuadro[3][12]={x=198,y=195,w=130,h=13,t="Valor G"}
cuadro[3][13]={x=198,y=210,w=130,h=13,t="Valor B"}

cuadro[4][1]={x=288,y=30,w=100,h=13,t="Tamaño TXT"}
cuadro[4][2]={x=288,y=45,w=100,h=13,t="Brillo"}
cuadro[4][3]={x=288,y=60,w=100,h=13,t="Velocidad cursor"}


cuadro[5][1]={x=380,y=30,w=100,h=13,t="Herramientas"}
cuadro[5][2]={x=380,y=45,w=100,h=13,t="Colores"}

tareas_p=false

function ventana3()
superior:blit(0,0)

if relevante==3 then
	for i=1,5 do
		if col(p,pestañas[i]) then
			draw.fillrect(pestañas[i].x,pestañas[i].y,pestañas[i].w,pestañas[i].h,blanco_t)
			if controls.press("cross") then actual=i end
		end
	end
	if actual==1 then
		draw.fillrect(0,22,100,75,blanco)
		draw.rect(0,22,100,75,negro)
	elseif actual==2 then
		draw.fillrect(101,22,100,75,blanco)
		draw.rect(101,22,100,75,negro)
	elseif actual==3 then
		draw.fillrect(198,22,130,210,blanco)
		draw.rect(198,22,130,210,negro)
	elseif actual==4 then
		draw.fillrect(288,22,100,55,blanco)
		draw.rect(288,22,100,55,negro)
	elseif actual==5 then
		draw.fillrect(380,22,100,40,blanco)
		draw.rect(380,22,100,40,negro)
	end
	
	if actual>0 then
		tareas_p=false
		for o=1,#cuadro[actual] do
			if col(p,cuadro[actual][o]) then
				tareas_p=true
				draw.fillrect(cuadro[actual][o].x,cuadro[actual][o].y,cuadro[actual][o].w,cuadro[actual][o].h,azul)
				if controls.press("cross") then funciones(cuadro[actual][o].t) end
			end
			screen.print(cuadro[actual][o].x+5,cuadro[actual][o].y+2,cuadro[actual][o].t,0.5,negro,0)
		end
	end
else
	actual=0

end
end




relevante=1
function entorno()

if controls.press("cross") then
	if relevante!=1 and col(p,bh) and bh.e and not tareas_p then
		if not col(p,croma) or not croma.e and not col(p,super) then relevante=1 end
	end
	if relevante!=2 and col(p,croma) and croma.e and not tareas_p then
		if not col(p,bh) or not bh.e and not col(p,super) then relevante=2 end
	end
	if relevante!=3 and col(p,super) and not tareas_p then
		if not col(p,bh) or not bh.e and not col(p,croma) or not croma.e then relevante=3 end
	end
	if not col(p,super) and not col(p,croma) and not col(p,bh) and not tareas_p then relevante=0 end
end

if relevante==1 then
	ventana1()
	ventana3()
	ventana2()
elseif relevante==2 then
	ventana2()
	ventana3()
	ventana1()
else
	ventana2()
	ventana1()
	ventana3()
end
end







